# Data Types

### String <a href="#string" id="string"></a>

* Begin pattern with `!` to inverse the match
* Begin pattern with `~` to use a regular expression match
* Begin pattern with `=` for an exact match
* Use `*` for a wild card match
* Use `-` to match an empty value

### Number <a href="#number" id="number"></a>

* Integer: `1`
* Range of values: `1-5`
* Greater than a value: `>5`
* Greater or equal to a value: `>=5`
* Less than a value: `<5`
* Less than or equal to value: `<=5`
* List of values: `1,3,5`
* Multiple selectors: `<=10,50-55,100,200`

### Date & Time <a href="#date-and-time" id="date-and-time"></a>

Date are represented in `YYYY-MM-DD` format.

Timestamp are represented in `YYYY-MM-DD HH24:MI` format using the `UTC` timezone.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustedsite.com/docs/api/introduction/data-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
